/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENECATALOGTEST")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenecatalogtest.findAll", query = "SELECT t FROM Tgenecatalogtest t"),
    @NamedQuery(name = "Tgenecatalogtest.findByCatalogcode", query = "SELECT t FROM Tgenecatalogtest t WHERE t.catalogcode = :catalogcode"),
    @NamedQuery(name = "Tgenecatalogtest.findByRecordversion", query = "SELECT t FROM Tgenecatalogtest t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenecatalogtest.findByDescription", query = "SELECT t FROM Tgenecatalogtest t WHERE t.description = :description"),
    @NamedQuery(name = "Tgenecatalogtest.findByIdalfresco", query = "SELECT t FROM Tgenecatalogtest t WHERE t.idalfresco = :idalfresco")})
public class Tgenecatalogtest implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CATALOGCODE")
    private String catalogcode;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Basic(optional = false)
    @Column(name = "DESCRIPTION")
    private String description;
    @Column(name = "IDALFRESCO")
    private String idalfresco;

    public Tgenecatalogtest() {
    }

    public Tgenecatalogtest(String catalogcode) {
        this.catalogcode = catalogcode;
    }

    public Tgenecatalogtest(String catalogcode, String description) {
        this.catalogcode = catalogcode;
        this.description = description;
    }

    public String getCatalogcode() {
        return catalogcode;
    }

    public void setCatalogcode(String catalogcode) {
        this.catalogcode = catalogcode;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getIdalfresco() {
        return idalfresco;
    }

    public void setIdalfresco(String idalfresco) {
        this.idalfresco = idalfresco;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (catalogcode != null ? catalogcode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenecatalogtest)) {
            return false;
        }
        Tgenecatalogtest other = (Tgenecatalogtest) object;
        if ((this.catalogcode == null && other.catalogcode != null) || (this.catalogcode != null && !this.catalogcode.equals(other.catalogcode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenecatalogtest[ catalogcode=" + catalogcode + " ]";
    }
    
}
